## org.flexdock.docking.defaults
Class DefaultDockingPort.PortLayout

    java.lang.Object
      org.flexdock.docking.defaults.DefaultDockingPort.PortLayout

All Implemented Interfaces:
  java.awt.LayoutManager, java.awt.LayoutManager2, java.io.Serializable

Enclosing class:
  DefaultDockingPort

    protected class DefaultDockingPort.PortLayout

extends java.lang.Object
implements java.awt.LayoutManager2, java.io.Serializable

See Also:
  Serialized Form

Constructor Summary
`protected` `DefaultDockingPort.PortLayout()`

Method Summary
`void` `addLayoutComponent(java.awt.Component comp, java.lang.Object constraints)`
`void` `addLayoutComponent(java.lang.String name, java.awt.Component comp)`
`float` `getLayoutAlignmentX(java.awt.Container target)`
`float` `getLayoutAlignmentY(java.awt.Container target)`
`void` `invalidateLayout(java.awt.Container target)`
`void` `layoutContainer(java.awt.Container parent)` Instructs the layout manager to perform the layout for the specified container.
`java.awt.Dimension` `maximumLayoutSize(java.awt.Container target)` Returns the maximum amount of space the layout can use.
`java.awt.Dimension` `minimumLayoutSize(java.awt.Container parent)` Returns the minimum amount of space the layout needs.
`java.awt.Dimension` `preferredLayoutSize(java.awt.Container parent)` Returns the amount of space the layout would like to have.
`void` `removeLayoutComponent(java.awt.Component comp)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultDockingPort.PortLayout

    protected DefaultDockingPort.PortLayout()

Method Detail

### preferredLayoutSize

    public java.awt.Dimension preferredLayoutSize(java.awt.Container parent)

  Returns the amount of space the layout would like to have.

  Specified by:
    `preferredLayoutSize` in interface `java.awt.LayoutManager`
  Parameters:
    `parent` - the Container for which this layout manager is being used
  Returns:
    a Dimension object containing the layout's preferred size

### minimumLayoutSize

    public java.awt.Dimension minimumLayoutSize(java.awt.Container parent)

  Returns the minimum amount of space the layout needs.

  Specified by:
    `minimumLayoutSize` in interface `java.awt.LayoutManager`
  Parameters:
    `parent` - the Container for which this layout manager is being used
  Returns:
    a Dimension object containing the layout's minimum size

### maximumLayoutSize

    public java.awt.Dimension maximumLayoutSize(java.awt.Container target)

  Returns the maximum amount of space the layout can use.

  Specified by:
    `maximumLayoutSize` in interface `java.awt.LayoutManager2`
  Parameters:
    `target` - the Container for which this layout manager is being used
  Returns:
    a Dimension object containing the layout's maximum size

### layoutContainer

    public void layoutContainer(java.awt.Container parent)

  Instructs the layout manager to perform the layout for the specified container.

  Specified by:
    `layoutContainer` in interface `java.awt.LayoutManager`
  Parameters:
    `parent` - the Container for which this layout manager is being used

### addLayoutComponent

    public void addLayoutComponent(java.lang.String name,
                                   java.awt.Component comp)

  Specified by:
    `addLayoutComponent` in interface `java.awt.LayoutManager`

### removeLayoutComponent

    public void removeLayoutComponent(java.awt.Component comp)

  Specified by:
    `removeLayoutComponent` in interface `java.awt.LayoutManager`

### addLayoutComponent

    public void addLayoutComponent(java.awt.Component comp,
                                   java.lang.Object constraints)

  Specified by:
    `addLayoutComponent` in interface `java.awt.LayoutManager2`

### getLayoutAlignmentX

    public float getLayoutAlignmentX(java.awt.Container target)

  Specified by:
    `getLayoutAlignmentX` in interface `java.awt.LayoutManager2`

### getLayoutAlignmentY

    public float getLayoutAlignmentY(java.awt.Container target)

  Specified by:
    `getLayoutAlignmentY` in interface `java.awt.LayoutManager2`

### invalidateLayout

    public void invalidateLayout(java.awt.Container target)

  Specified by:
    `invalidateLayout` in interface `java.awt.LayoutManager2`